@import 'login';
@import 'register';

html{
  height: 90vh;
}
body {
  color: white;
  font-family: 'JelleeBold', cursive;
  font-weight: normal;
  font-style: normal;
  background: rgb(69, 40, 89);
  background: linear-gradient(
                  90deg,
                  rgba(69, 40, 89, 1) 0%,
                  rgba(221, 65, 235, 1) 100%,
                  rgba(244, 15, 255, 1) 100%
  );
  height: max-content;
  min-height: 100vh;
  margin-left: 1rem;
  margin-top: 0.1em;
  margin-right: 1rem;
}

h1{
  font-family: 'JelleeBold', fantasy!important;
  font-weight: normal;
  font-style: normal;
}
.firstContainer{
  display: flex;
  flex-flow: row-reverse;
  height: 90vh;
}

// TWEETTOP BAR
.twitTopBarPost{
  margin-top : 2vh;
  margin-bottom : 3vh;
  flex-shrink: 0;
  display : flex;
  flex-flow : row;
  justify-content: space-between;
  width: 100%;
  height: 20%;
}


.twitTopBar{
  margin-top : 2vh;
  margin-bottom : 1vh;
  flex-shrink: 0;
  display : flex;
  flex-flow : row;
  justify-content: space-between;
  width: 100%;
  height: 10%;
}
.htTopBar {
  margin: 2vh 5vw;

  #addhtButton {
    margin: 0 10px;
    transform: scale(1.5);
    &:hover {
      color : blue;
      cursor: pointer;
    }
  }

  #addhtDiv {

    margin-top: 15px;
    display: flex;
    flex-wrap: wrap;
    .htTag {
      padding: 5px;
      margin: 2px 10px;
      background-color: mediumpurple;
    }
  }

}
.icoSize:hover {
  color : blue;
  cursor: pointer;
}


.icoSize{
  display: flex;
  margin-top:4vh;
  margin-left : 10px;
  transform: scale(1.5);
  justify-content: center;
  width: 15%;
  height: 3vh;
  transition: 0.5s;
}
.inputSeach{
  display: flex;
  margin-top : 2vh;
  width: 65%;
  height: 2vw;
}

.crossCom{
  transition: .5s;
  :hover {
    color : cadetblue;
    cursor: pointer;
  }
}
#view:hover{
  cursor: pointer;
  background-color: cadetblue;
}
#view{

  margin-bottom: -3.3vh;
  transition: .5s;
  text-align: center;
  width: 13%;
  height: 3vh;
  font-size: 2vh;
  margin-left : auto;
  margin-right :auto;
  border : 1px solid white;
  border-bottom-left-radius: 30px;
  border-bottom-right-radius: 30px;

}
#containInput{
  position : relative ;
  width: 70%;
}
#btnSendCommentEdit{
  position : absolute;
  right : -45px;
  top : 1.5vh;
  z-index : 12;
  color : cadetblue;
  width : 3vh;
  height : 3vh;
  :hover{
    color : cadetblue;
    cursor: pointer;
  }
}
.hide{
  display : none!important;
}
.show{
  display : block!important;

}
.comPut{
  width: 100%;
  height: 0px;
  user-input: blue  ;
}
.pencilPut{
  transition: .5s;
  :hover {
    color : cadetblue;
    cursor: pointer;
  }
}
.circleIdPost:hover{
  border-color: cadetblue;
}
.circleIdPost {
  z-index: 11;
  margin-left : 1vh;
  width: 8%;
  height: auto;
  max-width: 8vh;
  max-height: 8vh;
  min-width: 8vh;
  min-height: 8vh;
  flex-shrink: 0;
  border-radius: 50%;
  background-color: white;
  color: black;
  font-size: 4vh;
  border: 2px white solid;
  text-align: center;
  margin-right: 2vh;
  line-height: 8vh;;
}

.circleIdPostCom {
  z-index: 11;
  margin-left : 1vh;
  width: 8%;
  height: auto;
  max-width: 4vh;
  max-height: 4vh;
  min-width: 4vh;
  min-height: 4vh;
  flex-shrink: 0;
  border-radius: 50%;
  background-color: white;
  color: black;
  font-size: 4vh;
  border: 2px white solid;
  text-align: center;
  margin-right: 2vh;
  line-height: 8vh;;
}
.circleId{
  width: 10%;
  height: auto;
  max-width: 10vh;
  max-height: 10vh;
  min-width: 10vh;
  min-height: 10vh;
  flex-shrink: 0;
  border-radius : 50%;
  background-color: white;
  color : black;
  font-size : 6vh;
  text-align: center;
  margin-right : 2vh;
  line-height: 10vh;
;

}


// TWEETTOP BAR


.firstContainerRow{
  display: flex;
  flex-flow: row;
  height: 90vh;
}
.titleConnexion{
  font-size : 5vw;

}
.repoDuck{
  position : relative;
}
#duck{
  width: 100px;
  height: 100px;
  margin-left: auto !important;
  margin-right: auto !important;
  position : absolute;
  right : -20px ;
  top : -75px;
}



.container{
  display : flex;
  width: 100%;
  height: 80vh;
}
.container3{
  width: 45vw;
  height: 45vh;
  margin : 10vw auto auto auto;


}

.fa-heart:hover{
  color: red;
  fill : red ;
}
.line{
  border-bottom:3px solid white;
  width : 80%;
  margin-left : auto;
  margin-right: auto
}
.containerNews{
  padding-left : 1em;
  padding-right : 15px;
  min-width: 350px;
  width: 50%;
  height: 90vh;
  border : 2px white solid;
  border-top: 0px;
  border-bottom: 0px;
  overflow-y: scroll;
  scrollbar-width: none;

  overflow-x: visible;

  .visitorDiv {
    width: 100%;
    padding: 10px;

    display: flex;
    justify-content: space-between;
  }
}
.home{
  margin-left : 0em;
}
.box{
  width: 90%;
  height: calc(100vh/2);
  margin : 2em auto auto ;
  background-color: blue;

}


.recherche{
  width: auto;
  height: 80vh;
}
#fakeBody{
  width: 400px;
}




.btn:hover{
  cursor: pointer;
}
.btn{
  margin : 2em;
}
.btnTweet:hover {
  cursor: pointer;
  left : -100px;
  transition: 1s;
}






.boxPopulaire{
  width: 90%;
  height: calc(100vh/8);
  margin : 2em auto auto ;
  background-color: blue;
}
.signIn:hover{
  cursor: pointer;
}
.signIn{
  width: max-content;
  height: max-content;
}
.createdAt{
  margin-left: auto;
  margin-right : 20px;
  font-size: 14px;
}
.contenu2{
  width : 100%;
  margin :2vh;
  font-size: 2.2vh;
  text-align: center;

}

#profil{
  z-index : 12;
  border-radius: 30px;
  position : absolute;
  margin-left: 17%;
  margin-right : 20%;
  top : -97vh;
  width: 60vw;
  min-width: 400px;
  height: 60vh;
  min-height: 500px;
  background-color: #ffffffEE;
  transition : 1s;

  flex-flow : row;
}
#entete{

  position : relative;
  display : flex;
  flex-flow : column;
  width: 100%;
  height: 20%;
  background-color: #0000ff60;
  margin-top : 10%
}

#photoProfil{
  position:absolute;
  left : 40px;
  bottom : -70px;
  width: 150px;
  height: 150px;
  flex-shrink: 0;
  border-radius : 50%;
  background-color : green;
  z-index : 10;
}
#coordoneeProfil{
  margin-top : 3vh;
display: flex;
flex-flow : row-reverse;
justify-content: flex-start;

}
#date{
  font-size: 1.5vh;
  font-style: italic;
}
#nomProfil,#prenomProfil,#emailProfil,#dateProfil,#usernameProfil{
  margin-right: 3vh;
  margin-left: 3vh;
}

.modif:hover{
  cursor: pointer;
  color : purple;
  transition: 0.5s;

}
.modif{
  transition: 0.5s;
  position: absolute;
  right : 2vh;
  top : 5px;
}
#emailProfil{
  text-align: right;
  font-size: 1.5vw;
}
#usernameProfil {
  text-align: right;
  font-size: 1.5vw;
}
.cross:hover{
  cursor: pointer;
  color : purple;
  transition: 0.5s;
}
.cross{
  transition: 0.5s;

  position:absolute;
  top : 15px;
  right : 3vw;
  color : black;
}
#hashTagProfil{
  position : absolute;
  left : 20px ;
  bottom : 20px;
  width: 40%;
  height: 50%;
  border-radius : 10px;
  background-color: grey;
}
#profilFavorisProfil{
  border-radius : 10px;

  position : absolute;
  right : 20px ;
  bottom : 20px;
  width: 40%;
  height: 50%;
  background-color: grey;
}
.contenu{
  height: max-content;
  padding-left : 10px;
  padding-right : 10px;
  font-size: 1.7vw;
  font-weight: lighter;
}
.nomPost{
  margin-right: 15px;
}
.prenomPost{
  margin-right: 15px;
}
.validationCreation{
  opacity: 0;
  width: 30vw;
  height: 30vh;
  border-radius: 20px;
  background-color : rgba(238, 84, 245,0.6);
  margin : 5vh auto auto;

  text-align: center;
  transition: 1s;
  padding : 3vw;
}



// -----------------------------



.container {
  display: flex;
  width: 100%;
  height: 100vh;
}

.home {
  margin-left: 1em;

}
.btnLink:hover{
  cursor: pointer;
  color: cadetblue!important;
}
.btnLink{
  transition: 0.5s;
  min-width: 150px;

}
.box {
  width: 90%;
  height: calc(100vh / 3);
  margin: 2em auto auto;
  background-color: blue;
}
.links {
  position: sticky !important;
  top: 0;
  text-align: center;
  width: 25%;
  height: 100vh;
  margin-top: 2vh;
}

.recherche {
  width: 25%;
  height: 100vh;
}
#fakeBody {
  width: 400px;
}
.text-center{
  text-align: center;
  width: 100%;
  display: block;
}

.text-auto-size-big{
  font-size : 5vw;
}
.container2 {
  width: 45vw;
  height: 45vh;
  display: flex;
  flex-flow: column;
  margin : 2.5vw auto auto auto;

}

.basic-link{
  text-decoration: none;
  transition: all .4s;
  text-align: center;
  margin-top : 2vh;
  color: #fff;
  cursor: pointer;
  &:hover {
    color : red;
  }
}
.searchForm{
  border: 0.1rem solid #d6c5d9;
  border-radius: 3rem;
}
#fctRecherche {
  margin: 3em auto auto 1em;
  align-items: center;
}
#populaire {
  width: 80%;
  margin-right: auto;
  margin-left : auto;
}
.btnLink:hover {
  cursor: pointer;
}
.btnLink {
  margin: 2em;
}
.btnTweet:hover {
  cursor: pointer;
  left: -100px;
  transition: 1s;
}

.socleBtnTweet:hover {
  cursor: pointer;
  background-color: red;
  transition: 0.5s;
}
.socleBtnTweet {
  transition: 0.5s;
  line-height: calc(100vh / 16);
  border: 1px solid white;
  border-radius: 30px;
  z-index: 10;
  position: relative;
  min-width: 100px;
  min-height: 40px;
  width: calc(90vw /8);
  height: calc(100vh / 15);
  overflow: hidden;
  margin-left: auto;
  margin-right: auto;
  margin-top: 2vh;
  text-align: center;
}


.boxPopulaire {
  width: 90%;
  height: calc(100vh / 8);
  margin: 2em auto auto;
  background-color: blue;
}

.post {
  display: flex;
  margin-top : 5px;
  margin-bottom: 5vh;
  flex-flow:row wrap;
  border : 1px solid white;


}
.linkHt {
  cursor: pointer;
  color: #4d4dff;

  &:hover {
    color: white;
  }
}
.postPhotoSize:hover{
  transition: 0.5s;
  transform: scale(1.6);

}
.postPhotoSize{
  transition: 0.5s;

  margin-right: auto;
  margin-left:auto;
  border-radius: 20px;
  width: auto;
  height: 45% ;
}
.postTitle{
  display: flex;
  flex-flow : row;
  height: max-content;
  width: 100%;
  background-color : #1f90ff50;
  border-left : #0100ff80 solid 3px;
}
.post-body {

}

.post-user-avatar {
  width: 20%;
  height: 5em;
  flex-shrink: 0;
  margin-right: 0px;
}
.post-user-date{
  text-align: right;
  width: max-content;
}
.vignetteProfil{
  width: 12vh;
  height: 12vh;
  border-radius: 50%;
  margin-right: 1vw;
  flex-shrink: 0;
}
.post-user-avatar img {
  width: 40%;
  height: 40%;
  object-fit: cover;
  border-radius: 50%;
}

#visu{
  position:absolute;
  right : 2vw;
  top : 0vh;
  width: 60vw;
  height: 96vh;
 border : solid 1px white;
  border-radius: 20px;
  overflow: hidden;
}
.post-user-info {
}
.fontSm{
  font-size: 2.5vh;
  overflow-x : hidden;
}
.photoFollowSize{
  width: 11vh;
  height: 11vh;
  border-radius: 50%;
  flex-shrink: 0;
}

.follow{

  margin-bottom: 3vh;
  border:0px;
  border-bottom: solid 2px white;
  border-style : dotted!important;


}
.follow-user-info{
  display : flex;
  flex-flow : row;
}

.post-user-name {
  font-size: 1.25rem;
  margin-right: 0.5rem;
  width: 100%;
}

.post-user-info i {
  font-size: 1.25rem;
  margin-right: 0.5rem;
}

.post-username {
  font-size: 1.15rem;
  color: rgb(189, 168, 168);
  margin-right: 0.25rem;
}

.post-message {
  font-size: 1rem;
  margin-bottom: 1rem;
}

.post-photo {
  width: 34rem;
  height: 16rem;
}

.post-photo img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 1rem;
}
.rot25Deg:hover{
  transform: rotate(25deg);
  transition : 0.5s;
}
.transition {
  transition: 0.5s;
  z-index : 10;
}
.post-actions {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 5px;
  height: 7vh ;
  width: 80%;
  margin-left:auto;
  margin-right:auto;
}
.post-publish{
  width: 100% ;
  height: max-content;
}
.publish-post-body {
  display: flex;
  align-items: center;
  justify-content: space-around;
  height: max-content;
  border : 0px;
  border-bottom : 2px white solid;
  border-style: dotted;

}

.publish-post-input {
  width: 80%;
  height: max-content;
  margin-bottom :4vh;
  border-bottom: 2px solid #d6e1e9;
  border-radius: 3rem;
  padding: 0.4rem 1.5rem;
  background: linear-gradient(
                  90deg,
                  rgba(232, 204, 237, 1) 0%,
                  rgba(241, 183, 252, 1) 35%,
                  rgba(214, 197, 217, 1) 100%
  );
}

.upload-picture-icon {
  font-size: 3rem;
  color: rgb(189, 168, 168);
  align-self: center;
  padding-top: 1rem;
}

.btnTweetSmall:hover {
  cursor: pointer;
  left: -100px;
  transition: 1s;
}

.socleBtnTweetSmall:hover {
  cursor: pointer;
  background-color: cadetblue;
  transition: 0.5s;
}
.socleBtnTweetSmall {
  transition: 0.5s;
  line-height: calc(100vh / 20);
  border-radius: 30px;
  z-index: 10;
  position: relative;
  width: calc(90vw / 15);
  height: calc(100vh / 20);
  overflow: hidden;
  margin-left: auto;
  margin-right: auto;
  margin-top: 2vh;
  text-align: center;
}



.search-bar {
  display: flex;
  align-items: center;
  position: relative;
}

.search-bar input {
  width: 15rem;
  height: 2rem;
  border-bottom: 2px solid #d6e1e9;
  border-radius: 3rem;
  background: linear-gradient(
                  90deg,
                  rgba(232, 204, 237, 1) 0%,
                  rgba(241, 183, 252, 1) 35%,
                  rgba(214, 197, 217, 1) 100%
  );
  padding-left: 1rem;
  transition: all 0.5s;
}

.search-bar input:focus {
  border-color: rgb(189, 95, 121);
}
.marge1em{
  margin-top:1em;
  margin-bottom:1em;
}

.trend {
  border-bottom: 1px white solid;
  padding: 1rem;
  margin-right: auto;
  margin-left : auto;
  font-size: 0.6em;
}

.follow-user {
  display: flex;
  align-items: center;
  padding: 10px;
  border-bottom: 0.1rem solid #eee;
}

.follow-user-avatar {
  width: 4rem;
  height: 4rem;
  flex-shrink: 0;
  margin-right: 1rem;
}

.follow-user-avatar img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 50%;
}

.follow-btn {

  margin-left: 30%;
  width: 40%;
  background: linear-gradient(
                  90deg,
                  rgba(232, 204, 237, 1) 0%,
                  rgba(241, 183, 252, 1) 35%,
                  rgba(214, 197, 217, 1) 100%
  );
  color: rgba(238, 26, 85, 1);
  padding: 0.3rem 0.1rem;
  border: 0.1rem solid rgb(161, 79, 102);
  border-radius: 2rem;
  font-size: 1rem;
  cursor: pointer;
  height: 5vh;
  margin-bottom: 2vh;
}

.trends,
.follow-suggestions {

  display: flex;
  flex-direction: column;
  border: 0.01rem solid white;
  border-radius: 1rem;
  padding: 0.3rem;
  opacity: 0.9;
  margin-top : 5vh;
  margin-left: auto;
  margin-right : auto;
  width: 90%;
  height: max-content;
}

.show-more {
  margin: 2rem 1rem;
}

.show-more a {
  text-decoration: none;
  color: white;
  font-size: 1.5rem;
  float: right;
  margin-right: 1rem;
}


.sideBarLeft{
  transition: ease all .5s;
}
// NOUVELLE PAGE
@media screen and (max-width: 550px) {
.iconText{
  display: none;
}
  #profil{
    left : 40px;
    margin-left: auto;
    margin-right: auto;

  }
  .sideBarLeft{
   animation: sideBarAnim 1s forwards;
  }

  .btnLink{
    margin-left:auto!important;
  }
}


@keyframes  sideBarAnim{
  0%{width: 214px;}
  100%{width: 40px;}
}
#firstComm::before{
  font-size: 1.5vh;
  content:'Commentaires :'

}
.insertCom{
  width: 100%;

}

.anitem {
  height:100px;
}

#listofstuff {

  height:300px;
  overflow:auto;
}
.rotate180{
  transition : .5s;
  transform: rotate(180deg);
}
.crossCom{
  width: 7%;
  height: max-content;
}
#firstUserCom{
  margin-bottom: 1vh;
  margin-top : 1vh;
  border-top : solid 0.5px white;
  padding-top : 1vh;
  width: 95%;
  display: flex;
  flex-flow : row;
}
#emplacementcom{
  position:relative;
  display : flex;
  flex-flow: column;
  width: 60%;
  height: max-content;
}
#profilRepCom{
  width: 20%;
  height: max-content;
  display : flex;
  flex-flow : column;
}
#comListe:hover{
  transition: .5s;
  cursor: pointer;
  background-color: cadetblue;

}
#comListe{
  display : block;
  margin-bottom: -3.3vh;
  transition: .5s;
  text-align: center;
  width: 50%;
  height: 3vh;
  font-size: 2vh;
  margin-left : auto;
  margin-right :auto;
  border : 1px solid white;
  border-bottom-left-radius: 30px;
  border-bottom-right-radius: 30px;
}
#firstComm{
  width: 100%;
  margin-left : 3vh;
  display:flex;
  flex-flow : column;
  font-size : 2vh;
}

.inputCommentCache{
  display: flex;
  flex-flow : column;
  position:relative;
  transition: .5s;
  overflow: hidden;
  height: 0px;
  width: 90%;
  margin-left : auto;
  margin-right : auto;
  margin-bottom : 1vh;
}
.inputComment{
  margin-left : 3vw;
  width: 100%;

}

#sendComment{
  z-index : 12;
  color : purple;
  position:absolute;
  right : 15px;
  top : 28px;
}

#sendComment:hover{
  cursor:pointer;

}
.coeurAnim{
  animation-name: heartAnim;
  animation-duration: 0.8s;
  animation-fill-mode: forwards;
}

@keyframes heartAnim {
  0%{color : white;}
  33%{transform: scale(1.3);}
  45%{color : purple}
  100%{transform: scale(1);
    color : purple;
}
}

.openInput{
  animation-name : openInput;
  animation-duration : .5s;
  animation-fill-mode: forwards;
}
@keyframes openInput {
  0%{ height: 0vh;}
  100%{height: 10.5vh;}

}


#sendComment{
  display: flex;
  flex-flow : row;
  width: 100%;
}

.paperPlaneComment{
  width: 5vh;
  height: 5vh;
  margin-left : 1vw;

}

#commentSection{
  height: 9vh;
  width: 100%;
  margin-bottom: 2vh;
}
